/*
 * IntrinsicParams.h
 *
 *  Created on: Jun 18, 2010
 *      Author: taha
 */

#ifndef INTRINSICPARAMS_H_
#define INTRINSICPARAMS_H_

#include "opencv.h"

/*! \brief Used for loading intrinsic parameters of the cameras */
class RL_IntrinsicParams {
public:
	RL_IntrinsicParams();
	virtual ~RL_IntrinsicParams();
	CvMat CameraMatrix, Distortion;
	CvSize imageSize;

	double _camera[3][3];
	double _dist_coeffs[5];

	bool ReadFromFile(unsigned id, const char* path);
	void WriteToFile(unsigned id, const char* path);
};

#endif /* INTRINSICPARAMS_H_ */
